# Create Snapshot - CreateUDiskSnapshot

## Overview

Create snapshot






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUDiskSnapshot`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **UDiskId** | string | Snapshot's UDisk Id |**Yes**|
| **Name** | string | Snapshot Name |**Yes**|
| **Quantity** | int | Purchase Duration Default: 1 (Deprecated) |No|
| **ChargeType** | string | Year, Month, Dynamic Default: Dynamic (Deprecated) |No|
| **Comment** | string | Snapshot Description |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **SnapshotId** | array[string] | Snapshot Id |**Yes**|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CreateUDiskSnapshot
&Region=cn-bj2
&Zone=cn-bj2-04
&UDiskId=bs-xxx
&Name=test_snapshot
&Comment=test
```

### Response Example
    
```json
{
  "Action": "CreateUDiskSnapshotResponse",
  "RetCode": 0,
  "SnapshotId": [
    "bsSnap-xxx"
  ]
}
```





